Page MenuHomePhabricator

When FlaggedRevs is used, make it possible to filter down to "Pending changes only" from Special:Contributions
Open, MediumPublic

Description

Starting December 01 2022, a new checkbox will be added to Special:Contributions on some [1] Flagged revisions enabled wikis that allows users to see pending changes by a particular user.

Screenshot of the interface:

image.png (491×1 px, 23 KB)

[1] The change will be deployed to wikis where Flagged revs is not configured in protection mode, ie. where it affects all pages. A complete list of affected wikis is available at P40224.

Original description

The Growth team maintains the Mentor dashboard. One of the dashboard's modules is Mentee overview, which allows mentors to see various informations about users they are assigned to as mentors, such as their editcount, blockcount and similar.

As part of T297811: Mentor dashboard: Show information about mentees' pending changes on FlaggedRevs wikis, it was suggested to tell mentors how many unreviewed edits each of their mentees have, as a new column in the module. This would look like this:

mentee summary flagrev mockup.png (132×232 px, 11 KB)

The link from the number should lead to an interface where mentors can see all the edits pending review for that particular mentee. Special:Contributions can serve this fairly well.

T317145 is an alternative solution for the same problem.

Acceptance criteria
  • At FlaggedRevs-enabled wikis, Special:Contributions allows users to filter the contributions view to pending edits only.

Event Timeline

Change 845871 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/FlaggedRevs@master] SpecialContributions: Make it possible to see pending changes only

https://gerrit.wikimedia.org/r/845871

Urbanecm_WMF changed the task status from Open to In Progress.Oct 22 2022, 8:06 PM
Urbanecm_WMF triaged this task as Medium priority.
Urbanecm_WMF moved this task from Incoming to Code Review on the Growth-Team (Current Sprint) board.
Urbanecm_WMF renamed this task from Special:Contributions: Make it possible to filter down to "Pending changes only" to When FlaggedRevs is used, make it possible to filter down to "Pending changes only" from Special:Contributions.Oct 22 2022, 8:28 PM

Change 845871 merged by jenkins-bot:

[mediawiki/extensions/FlaggedRevs@master] SpecialContributions: Make it possible to see pending changes only

https://gerrit.wikimedia.org/r/845871

Urbanecm_WMF changed the task status from In Progress to Open.Wed, Nov 16, 2:07 PM
Urbanecm_WMF moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.

Change 857782 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[mediawiki/extensions/FlaggedRevs@master] SpecialContributions: Treat edits at never-reviewed articles as pending

https://gerrit.wikimedia.org/r/857782

To User-notice people: On some[1] FlaggedRevs-enabled wikis, this will add a new checkbox to Special:Contributions, which will allow community members to only see pending edits by that user. Screenshot of how the new checkbox looks like is attached. The change will be effective as of the wmf.12 train (ie for Wikipedias, on 2022-12-01).

image.png (491×1 px, 23 KB)

[1] This will only affect wikis that don't have FlaggedRevs in protect mode (ie. this will only affect wikis where FlaggedRevs affects all pages). For example, dewiki will be affected (all edits need to be reviewed there), but enwiki will not.

@Urbanecm_WMF Thanks for the context, appreciated! In the future Tech News entry, is there something useful we can link to?
E.g. An onwiki copy of that image, or other documentation for this new feature? and a list of which exact wikis will be affected?
(At minimum, if we just have the Phab link when this entry goes out, then it would be good to put the screenshot at the top of the task-Description, so that it's the first thing people see here and they can deduce the rest from the Tech News entry text.)

and a list of which exact wikis will be affected?

All wikis in flaggedrevs.dblist, except for those that have $wgFlaggedRevsProtection set to true in rOMWC wmf-config/InitialiseSettings.php (warning: huge file!). If you don’t want your browser to freeze, here’s the list of wikis with $wgFlaggedRevsProtection = true:

  • bnwiki
  • ckbwiki
  • enwiki
  • fawiki
  • hiwiki
  • ptwiki
  • idwiki

which means the remaining 50−7 = 43 wikis are affected. (Unless I misunderstood something; correct me if I’m wrong!)

@Tacsipacsi Thank you! I've made a paste of the 44 at P40224. We can link that in the Tech News entry, if desired (& if accurate).
(44 because ptwiki isn't included in flaggedrevs.dblist? Possibly this means […] (speculation removed))
P.s. there's a less browser-intensive (plaintext) version at https://noc.wikimedia.org/conf/InitialiseSettings.php.txt :-)

@Tacsipacsi Thank you! I've made a paste of the 44 at P40224. We can link that in the Tech News entry, if desired (& if accurate).

List looks accurate to me! (Thanks @Tacsipacsi!).

(44 because ptwiki isn't included in flaggedrevs.dblist? Possibly this means […] (speculation removed))

It was a right speculation though :). That was missed in T211433.

@Urbanecm_WMF Thanks for the context, appreciated! In the future Tech News entry, is there something useful we can link to?
E.g. An onwiki copy of that image, or other documentation for this new feature? and a list of which exact wikis will be affected?

Good point. I documented it at mw:Help:Extension:FlaggedRevs, and uploaded the image to Commons. Not sure if that would help with a link in the technews entry though, as the feature's documented in a middle of the page.

(At minimum, if we just have the Phab link when this entry goes out, then it would be good to put the screenshot at the top of the task-Description, so that it's the first thing people see here and they can deduce the rest from the Tech News entry text.)

Changed the description to be more useful as a technews entry.

Change 857782 merged by jenkins-bot:

[mediawiki/extensions/FlaggedRevs@master] SpecialContributions: Treat edits at never-reviewed articles as pending

https://gerrit.wikimedia.org/r/857782

Draft Tech News entry, please suggest any amendments/improvements:

On some wikis that use flagged revisions, a new checkbox will be added to Special:Contributions that enables you to see only the pending changes by a particular user. Here is a screenshot. [ 1 ]

Draft tweaked heavily. I've used:

On some wikis that use flagged revisions, a new checkbox will be added to Special:Contributions that enables you to see only the pending changes by a particular user. [1]

If any corrections/improvements need to be made, please edit directly at https://meta.wikimedia.org/wiki/Tech/News/2022/48 within the next ~22 hours. Thanks!